Next: RESHAPE, Previous: RENAME, Up: Intrinsic Procedures

### 8.205 `REPEAT` — Repeated string concatenation

Description:
  Concatenates NCOPIES copies of a string.
Standard:
  Fortran 95 and later
Class:
  Transformational function
Syntax:
  `RESULT = REPEAT(STRING, NCOPIES)`
Arguments:

  STRING | Shall be scalar and of type `CHARACTER`.
  NCOPIES | Shall be scalar and of type `INTEGER`.

Return value:
  A new scalar of type `CHARACTER` built up from NCOPIES copies of STRING.
Example:

                program test_repeat
                  write(*,*) repeat("x", 5)   ! "xxxxx"
                end program